Bug 160337 - Keyboard "jammed" during smp runlevel 5 boot on IBM HS20-8843 BladeServer
Keyboard "jammed" during smp runlevel 5 boot on IBM HS20-8843 BladeServer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Brian Maly
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-06-14 11:18 EDT by David L. Bost
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:05:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. Bost 2005-06-14 11:18:31 EDT
Description of problem:
This problem is EXACTLY the same as Bugzillia report 113925, except it is 
occurring on IBM BladeServer HS20-8843 hardware.  This hardware BIOS does NOT 
support the solution provided to close bug 113925.  I will need a module 
update that fixes this without disabling USB Legacy Support.  

Here are the errors from /var/log/messages: 
 
Jun  3 10:21:02 sbknpwaq3 gdm[4217]: gdm_slave_xioerror_handler: Fatal X 
error - Restarting :0 
Jun  3 10:21:02 sbknpwaq3 modprobe: modprobe: Can't locate module char-major-
10-134 
Jun  3 10:21:06 sbknpwaq3 kernel: mtrr: type mismatch for f0000000,1000000 
old: write-back new: write-combining 
Jun  3 10:21:06 sbknpwaq3 kernel: mtrr: type mismatch for f0000000,1000000 
old: write-back new: write-combining 
Jun  3 10:21:06 sbknpwaq3 kernel: pc_keyb: controller jammed (0xA7). 
Jun  3 10:21:08 sbknpwaq3 last message repeated 249 times 
Jun  3 10:21:08 sbknpwaq3 kernel: Keyboard timed out[1] 
Jun  3 10:21:08 sbknpwaq3 kernel: pc_keyb: controller jammed (0xA7). 
Jun  3 10:21:08 sbknpwaq3 last message repeated 249 times 
Jun  3 10:21:08 sbknpwaq3 kernel: Keyboard timed out[1] 
Jun  3 10:21:16 sbknpwaq3 gdm[4222]: gdm_slave_xioerror_handler: Fatal X 
error - Restarting :0 
 
Syptom: At end of boot, when system console should be switching from text to 
graphics mode, the X display never appears, attempt to switch repeats over and 
over again. 



Version-Release number of selected component (if applicable):
kernel-2.4.21-32.ELsmp


How reproducible:
Once problem appears, it occurs upon every reboot.  Not sure what caused onset 
of problem.  Blades were installed and ran for some days.  Next reboot 
produced problem.  It is possible that successful boots were performed on the 
single-processor grub selection.

Steps to Reproduce:
1.Reboot server run level 5 smp.
2.
3.
  
Actual results:
Here are the errors from /var/log/messages: 
 
Jun  3 10:21:02 sbknpwaq3 gdm[4217]: gdm_slave_xioerror_handler: Fatal X 
error - Restarting :0 
Jun  3 10:21:02 sbknpwaq3 modprobe: modprobe: Can't locate module char-major-
10-134 
Jun  3 10:21:06 sbknpwaq3 kernel: mtrr: type mismatch for f0000000,1000000 
old: write-back new: write-combining 
Jun  3 10:21:06 sbknpwaq3 kernel: mtrr: type mismatch for f0000000,1000000 
old: write-back new: write-combining 
Jun  3 10:21:06 sbknpwaq3 kernel: pc_keyb: controller jammed (0xA7). 
Jun  3 10:21:08 sbknpwaq3 last message repeated 249 times 
Jun  3 10:21:08 sbknpwaq3 kernel: Keyboard timed out[1] 
Jun  3 10:21:08 sbknpwaq3 kernel: pc_keyb: controller jammed (0xA7). 
Jun  3 10:21:08 sbknpwaq3 last message repeated 249 times 
Jun  3 10:21:08 sbknpwaq3 kernel: Keyboard timed out[1] 
Jun  3 10:21:16 sbknpwaq3 gdm[4222]: gdm_slave_xioerror_handler: Fatal X 
error - Restarting :0 
 
Syptom: At end of boot, when system console should be switching from text to 
graphics mode, the X display never appears, attempt to switch repeats over and 
over again. 


Expected results:
Gnome Login Screen should appear

Additional info:
I have been working this problem on RedHat Support Ticket Number 570712.
Comment 1 Brian Maly 2005-06-17 13:28:39 EDT
did some testing to try and replicate this issue, so far the problem has not
shown up after a few hundred reboots. Im trying to get more info on this to try
and reproduce the issue. 

Can we find out what type of keyboard was plugged in? normal keyboard port or USB? 

for point of reference, was there a mouse plugged in as well? PS/2 or USB?

any other info on how to reproduce this? does this happen only after gdm errors
(seen in the log which was attached)? was the system initially rebooted when X
was up and running?

Comment 2 Robert de Rooy 2005-06-21 14:23:14 EDT
IBM BladeCenter is USB 1.1 internally, so from the OS perspective the keyboard,
mouse, floppy and CD-ROM are all USB attached.
Externally the keyboard/mouse is PS/2, due to an internal USB->PS/2 converter

The BladeCenter holds up to 14 blades, and you only have 1 mediatray (with
CD/DVD-ROM, Floppy and USB port) and one KVM.
So for 'local' operations, you need to switch KVM and/or MT ownership between them.

When you switch KVM and/or MT ownership to another blade, from the OS
perspective you actually see USB plug/unplug events.

Switching KVM ownership can be done using a button on the front of each blade,
using a keyboard combination or using the remote interface.
Switching MT ownership can be done using a button on the front of each blade, or
using the remote interface.
Note: since the JS20 (PPC970) blade does not have a video chip, it cannot be
given KVM ownership, and everything needs to be done using SOL (Serial over LAN)
Comment 3 David L. Bost 2005-06-29 09:55:25 EDT
Brian,
The Keyboard plugged into the Management Module KVM is a Dell standard 
keyboard.  The Mouse is an IBM PS2 2-button.

As Tonko noted above, neither is directly connected to the OS on the Blade.  
The BladeCenter Management Module handles USB interfaces to each Blade in the 
rack according to the selected context.
Comment 4 David L. Bost 2005-06-29 10:00:02 EDT
One additional thought on replicating the problem:  If you have an IBM HS20-
8843 loaded with RedHat ELsmp 3.0as in an IBM BladeCenter, and repeated 
reboots do not cause the problem:
1.  Make sure you are running the latest available BIOS firmware updates for 
both the BladeCenter MM and the Blade.
2.  Set the Blade OS to boot to runlevel 3 vice 5.
3.  Reboot the Blade, then try doing "startx" at the system console, or 
setting Blade back to runlevel 5 and rebooting.
Comment 5 Brian Maly 2005-07-22 13:16:21 EDT
a patch for this was posted (7/12/05) to rhkernel for approval. the patch was
tested and resolves the problem.

this issue was due to the fact that the IBM bladecenter blades dont have a
console keyboard (hotplug USB keyboard instead). as a result the system is
unable to initialize the console keyboard controller/keyboard at boot and spews
errors. the fix is simply to skip the console keyboard init if you are on a
system without a console keyboard
Comment 6 Brian Maly 2005-07-25 13:40:36 EDT
this is a duplicate of bug 161336

a patch has been posted under bug 161336 that resolves this issue
Comment 7 Ernie Petrides 2005-07-25 14:55:29 EDT

*** This bug has been marked as a duplicate of 161336 ***
Comment 8 Ernie Petrides 2005-09-12 23:12:08 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.1.EL).
Comment 10 Red Hat Bugzilla 2006-03-15 11:05:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.